Skip to main content

Register phone numbers

POST 

/business/{businessId}/phone

Adds phone numbers to a registered business. Phone numbers should be in E.164 format with + sign in the request body. Phone numbers can only be added to successfully vetted businesses.

When called, the provided phone numbers are first queued for verification. This process may take several minutes depending on how many phone numbers were provided. During this time, the phone numbers might not appear as associated with the business yet.

Once all phone numbers have been queued for verification, they will appear associated with the business in the “pending” status until the verification process completes. Verification may take up to 1 day to complete.

Phone numbers that are already registered to a business will not be verified again, however their job name will be updated to the new job name provided. The verification status of a phone number is available using the “Get phone number status” API call, once the phone number has been queued.

Path Parameters​


    businessId stringrequired

    Id of a business

    Example: 60ff7262-d373-4242-8fc8-a3ecfb51d0c1

Body

required

application/json

    jobNamestringrequired

    A string used for convenience to refer to all phone numbers provided in a single request. Recommended to use different job names to identify common sets of phone numbers, e.g. numbers used for a common purpose, from a common location, etc.


    phonesarrayrequired

    Individual phone numbers to register under this business. Phone numbers must be provided using E.164 formatting, provided as an array. For example, "phones": [ "+12065550123", "+12065559876"].

    Format: string[]
    Example: ["+12065550123","+12065559876"]

Responses​

Accepted

Response Body

application/json

    requestIdstringrequired

    The unique identifier for the request. This ID can be used to track the request and its associated response.


    timestampstringrequired

    The timestamp when the request was processed. This field indicates the exact time at which the response was generated.

    Format: string<date-time>

    descriptionstringrequired

    A human-readable description of the response. This field provides additional context or information about the request and its outcome.

Example from Schema​

{
"requestId": "string",
"timestamp": "2024-07-29T15:51:28.071Z",
"description": "string"
}